<mat-card class="mat-elevation-z1">
  <h1>
    <mat-card-title translate>Device details</mat-card-title>
  </h1>
  <mat-card-content fxLayout="column">
    <form [formGroup]="deviceForm" fxLayout="row wrap" fxLayoutGap="10">
      <mat-form-field fxFlex="50">
        <mat-label>Id</mat-label>
        <input id="id" matInput type="text" formControlName="id" />
      </mat-form-field>

      <mat-form-field fxFlex="50">
        <mat-label>Name</mat-label>
        <input id="name" matInput type="text" formControlName="name" />
      </mat-form-field>

      <mat-form-field fxFlex="50">
        <mat-label>Description</mat-label>
        <input id="description" matInput type="text" formControlName="description" />
      </mat-form-field>

      <mat-form-field fxFlex="50">
        <mat-label>Secret</mat-label>
        <input id="secret" matInput type="text" formControlName="secret" />
      </mat-form-field>

      <mat-form-field fxFlex="50">
        <mat-label>Owner</mat-label>
        <input id="owner" matInput type="text" formControlName="owner" />
      </mat-form-field>

      <mat-form-field fxFlex="50">
        <mat-label>Type</mat-label>
        <input id="type" matInput type="text" formControlName="type" />
      </mat-form-field>
      <div fxFlex="50">
        <mat-slide-toggle [checked]="deviceStatus.isOn" (change)="onStatusChange($event)">Status</mat-slide-toggle>
      </div>
    </form>
  </mat-card-content>
</mat-card>
